# Spieler
Date: 2012-12-22

## Class Spieler

- java.lang.Object
- - Spieler

    public class Spieler
    extends java.lang.Object

Die Klasse Spieler speichert die Daten eines Spielers für das Spiel Craps.

Version:
  1.0 vom 19.06.2012
Author:
  Thomas Schaller

### Constructor Summary

Constructors
Constructor and Description
`Spieler(int guthaben)` Erzeugt einen Spieler mit einem bestimmten Startguthaben.

### Method Summary

Methods
`int` `getGuthaben()` Liefert das aktuelle Guthaben des Spielers.
`boolean` `getShooter()` Meldet, ob der Spieler der Shooter ist.
`void` `gewonnen()` Rechnet den Gewinn des Spielers ab, da er gewonnen hat.
`void` `setShooter(boolean shooter)` Setze, ob der Spieler Shooter oder Fader ist
`void` `setze(int betrag)` Setzt den Einsatz für das nächste Spiel.
`void` `verloren()` Da der Spieler verloren hat, ist der Einsatz verloren.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Spieler

    public Spieler(int guthaben)

Erzeugt einen Spieler mit einem bestimmten Startguthaben.

Parameters:
  `guthaben` - Startguthaben des Spielers

### Method Detail

#### getGuthaben

    public int getGuthaben()

Liefert das aktuelle Guthaben des Spielers.

Returns:
  Guthaben des Spielers

#### setze

    public void setze(int betrag)

Setzt den Einsatz für das nächste Spiel.

Parameters:
  `betrag` - eingesetzter Betrag

#### gewonnen

    public void gewonnen()

Rechnet den Gewinn des Spielers ab, da er gewonnen hat.

#### verloren

    public void verloren()

Da der Spieler verloren hat, ist der Einsatz verloren.

#### getShooter

    public boolean getShooter()

Meldet, ob der Spieler der Shooter ist.

Returns:
  true, wenn der Spieler Shooter ist, false, wenn er Fader ist

#### setShooter

    public void setShooter(boolean shooter)

Setze, ob der Spieler Shooter oder Fader ist

Parameters:
  `shooter` - true, wenn der Spieler Shooter werden soll, false, wenn der Spieler Fader werden soll.